[ Identification | Description | Input parameters | Output parameters | Links ]

# The `Vitess_input` Component

Read neutron state parameters from VITESS neutron file.

## Identification

- Author: Kristian Nielsen
- Origin: McStas 1.5.0
- Date: June 6, 2000
- Version: 1.18
- Modification history:
  - E. Farhi, Sep 28th, 2001: added spin

## Description

    Source-like component reading neutron state parameters from a
    VITESS neutron file. Used to interface McStas components or
    simulations into VITESS. Each neutron is 104 bytes.

    Example: Vitess_input(file="MySource.vit", bufsize = 10000, repeat_count = 2)

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
file | string | Filename of neutron file to read. Default is standard input | 0
bufsize | records | Size of neutron input buffer | 10000
repeat_count | 1 | Number of times to repeat each neutron read | 1

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
hfile |  |  |
buf |  |  |
size |  |  |
pos |  |  |
rep |  |  |
finished | int | Set to 1 when the last neutron has been read |

## Links

- Source code for `Vitess_input.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]